Bug 810144 - Self-heal-daemon log improvements
Self-heal-daemon log improvements
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
medium Severity urgent
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-05 05:27 EDT by Raghavendra Bhat
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:03:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa40
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-04-05 05:27:07 EDT
Description of problem:

Excessive logging is present in self-heal-daemon. Messages of this sort needs to be avoided in self-heal-daemon:

[2012-04-03 14:22:23.193848] I [afr-self-heald.c:1052:afr_dir_crawl] 0-mirror-replicate-0: Crawl completed on mirror-client-0
[2012-04-03 14:22:23.194534] I [afr-self-heald.c:1052:afr_dir_crawl] 0-mirror-replicate-0: Crawl completed on mirror-client-1
[2012-04-03 14:22:23.196511] E [afr-self-heald.c:403:_crawl_proceed] 0-vol-replicate-0: Stopping crawl as < 2 children are up
[2012-04-03 14:32:23.259722] I [afr-self-heald.c:1147:afr_start_crawl] 0-mirror-replicate-0: starting crawl 1 for mirror-client-0
[2012-04-03 14:32:23.260383] I [afr-self-heald.c:1147:afr_start_crawl] 0-mirror-replicate-0: starting crawl 1 for mirror-client-1
[2012-04-03 14:32:23.261226] I [afr-self-heald.c:1147:afr_start_crawl] 0-vol-replicate-0: starting crawl 1 for vol-client-0
[2012-04-03 14:32:23.261905] E [afr-self-heald.c:403:_crawl_proceed] 0-vol-replicate-0: Stopping crawl as < 2 children are up
[2012-04-03 14:32:23.263318] I [afr-self-heald.c:1052:afr_dir_crawl] 0-mirror-replicate-0: Crawl completed on mirror-client-1
[2012-04-03 14:32:23.263370] I [afr-self-heald.c:1052:afr_dir_crawl] 0-mirror-replicate-0: Crawl completed on mirror-client-0
[2012-04-03 14:42:23.323993] I [afr-self-heald.c:1147:afr_start_crawl] 0-mirror-replicate-0: starting crawl 1 for mirror-client-0
[2012-04-03 14:42:23.324735] I [afr-self-heald.c:1147:afr_start_crawl] 0-mirror-replicate-0: starting crawl 1 for mirror-client-1
[2012-04-03 14:42:23.325594] I [afr-self-heald.c:1147:afr_start_crawl] 0-vol-replicate-0: starting crawl 1 for vol-client-0
[2012-04-03 14:42:23.326387] E [afr-self-heald.c:403:_crawl_proceed] 0-vol-replicate-0: Stopping crawl as < 2 children are up
[2012-04-03 14:42:23.327600] I [afr-self-heald.c:1052:afr_dir_crawl] 0-mirror-replicate-0: Crawl completed on mirror-client-1
[2012-04-03 14:42:23.327663] I [afr-self-heald.c:1052:afr_dir_crawl] 0-mirror-replicate-0: Crawl completed on mirror-client-0



Version-Release number of selected component (if applicable): mainline


How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-04-25 08:55:51 EDT
CHANGE: http://review.gluster.com/3098 (cluster/afr: Log enhancements) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-05-04 08:21:45 EDT
CHANGE: http://review.gluster.com/3100 (self-heald: Don't trigger self-heal always.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Anand Avati 2012-05-04 08:24:05 EDT
CHANGE: http://review.gluster.com/3099 (self-heald: loc should have gfid path for better logging) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 4 Raghavendra Bhat 2012-05-09 05:33:34 EDT
Checked with glusterfs-3.3.0qa40 and such excessive logging is not seen.

Note You need to log in before you can comment on or make changes to this bug.